summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/live-installer/checkout_MythVantage.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-09 19:28:00 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-09 19:28:00 (GMT)
commit9ced1c4f5ae6975c18e40d2ba6851298e01f0e07 (patch)
treef4ac151711d4d716a6c685d9a07a228c1ccccf86 /abs/core-testing/live-installer/checkout_MythVantage.sh
parent6c135f8cb1bb654d209c4e7d339a795e090f5ad2 (diff)
downloadlinhes_pkgbuild-9ced1c4f5ae6975c18e40d2ba6851298e01f0e07.zip
linhes_pkgbuild-9ced1c4f5ae6975c18e40d2ba6851298e01f0e07.tar.gz
linhes_pkgbuild-9ced1c4f5ae6975c18e40d2ba6851298e01f0e07.tar.bz2
minor enhancements to live-installer. Preparing for new features
Diffstat (limited to 'abs/core-testing/live-installer/checkout_MythVantage.sh')
-rwxr-xr-xabs/core-testing/live-installer/checkout_MythVantage.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/core-testing/live-installer/checkout_MythVantage.sh b/abs/core-testing/live-installer/checkout_MythVantage.sh
new file mode 100755
index 0000000..8cb75e4
--- /dev/null
+++ b/abs/core-testing/live-installer/checkout_MythVantage.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+MYDIR=`pwd`
+
+function setup_links {
+rm mythinstall.bin
+rm mythbeselect.bin
+ln -s $MYDIR/src/MythVantage-app/mythinstall/mythinstall ./mythinstall.bin
+ln -s $MYDIR/src/MythVantage-app/mythbeselect/mythbeselect ./mythbeselect.bin
+}
+
+function dl_repo {
+mkdir src
+cd src
+if [ ! -d MythVantage-app ]
+then
+ git clone http://mythvantage.com/MythVantage-app.git/
+ cd MythVantage-app
+ git checkout --track -b LinHES origin/LinHES
+ cd $MYDIR
+ setup_links
+ cd -
+else
+ git pull
+fi
+
+cd MythVantage-app
+git checkout LinHES
+#git checkout origin/LinHES
+
+}
+
+dl_repo
+cd $MYDIR/src/MythVantage-app/mythinstall && qmake
+make || exit 1
+cd $MYDIR/src/MythVantage-app/mythbeselect && qmake
+make ||exit 1
+